function F= F(X)
global Test_type 

x = X(1,1);
y = X(2,1);

if( Test_type == 0 )
  %% 
  %% Periodic behavior
  %%
  F(1,1) = sin(x)*cos(y);
  F(2,1) = -cos(x)*sin(y);
end

if( Test_type == 1)
  %%  This is a prey-predator system
  F(1,1) = x*(1 - y);
  F(2,1) = -y*(2 - x);
end

if( Test_type == 2 )
  %% Saddle point
  F(1,1) = -(4*y)/3-x/3 ;
  F(2,1) = y/3-(2*x)/3 ;
end


if( Test_type == 3)
  %% Sink point
  F(1,1) =  -y/2-(3*x)/2;
  F(2,1) =  -(3*y)/2-x/2 ;
end

if( Test_type == 4)
  %%  Sink with repeated eigenvalues
  F(1,1) =  - x + y;
  F(2,1) =  - y ;
end

if( Test_type == 5)
  %% Clockwise circle
  F(1,1) =   y;
  F(2,1) =  - x ;
end

if( Test_type == 6)
  %% Clockwise spiral Sink. 
  F(1,1) = -0.3*x +  y;
  F(2,1) = -0.3*y - x ;
end

if(Test_type == 7)
  %% The user must define the ODE
  %%  Some interesting options are:
  F(1,1) = y - (x**2+y**2)*x-2;
  F(2,1) = -x - (x**2+y**2)*y;

  %%F(1,1) = 2*x-x*x -   x*y;
  %%(2,1) = 3*y-y*y - 2*x*y;
  
  %%F(1,1) = (x-1)*(x-2)*(y-1);
  %%F(2,1) = (y-2)*y*(x-2);

  %%F(1,1) = -y ;
  %%F(2,1) = x;
  
end


